<template>
  <div class="pa-4 pb-10" style="height: calc(100vh - 50px); overflow-y: auto">
    <div>
      <div v-if="selected === 0">
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Разделы настроек</div>
      </div>
      <div v-else-if="selected === 1" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Основные</div>
      </div>
      <div v-else-if="selected === 2" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Пользователи</div>
      </div>
      <div v-else-if="selected === 3" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Воронки продаж</div>
      </div>
      <div v-else-if="selected === 4" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Задачи</div>
      </div>
      <div v-else-if="selected === 5" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Дополнительные поля</div>
      </div>
      <div v-else-if="selected === 6" class="head-wrapper">
        <v-btn @click="selected = 0" class="head-btn-back" icon>
          <v-icon>mdi-arrow-left</v-icon>
        </v-btn>
        <div class="text-h5 text-center text-sm-h4 my-2 my-lg-4" style="opacity: .7">Регионы</div>
      </div>
    </div>
    <div v-if="selected === 0">
      <div class="setting-card-wrap">
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Основые настройки
              </v-list-item-title>
              <v-list-item-subtitle>Название CRM, Объявления, Название компании</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 1"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Пользователи
              </v-list-item-title>
              <v-list-item-subtitle>Список пользователей, добавление/изменение/удаление пользователя</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 2"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Воронки продаж
              </v-list-item-title>
              <v-list-item-subtitle>Просмотр всех воронок, добавление/изменение/удаление воронки</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions @click="selected = 3" class="float-end">
            <v-btn outlined rounded text>открыть</v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Задачи
              </v-list-item-title>
              <v-list-item-subtitle>Просмотр задач, добавление/изменение/удаление задач</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 4"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Дополнительные поля
              </v-list-item-title>
              <v-list-item-subtitle>Просмотр всех полей, добавление/изменение/удаление поля</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 5"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Регионы
              </v-list-item-title>
              <v-list-item-subtitle>Просмотр регионов, добавление/изменение/удаление регионов</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 6"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
        <v-card
          class="mx-auto my-4 card"
          max-width="344"
          outlined
          v-if="USER.roles.indexOf('ADMIN') >= 0"
        >
          <v-list-item three-line>
            <v-list-item-content>
              <div class="text-overline mb-4">
                Настройки
              </div>
              <v-list-item-title class="text-h5 mb-1">
                Шаблоны сообщений
              </v-list-item-title>
              <v-list-item-subtitle>Просмотр шаблонов, создание/изменение/удаление шаблонов сообщений</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-card-actions class="float-end">
            <v-btn
              outlined
              rounded
              text
              @click="selected = 7"
            >
              открыть
            </v-btn>
          </v-card-actions>
        </v-card>
      </div>
    </div>
    <div v-else>
      <MainSettings v-if="selected === 1"/>
      <UserSettings v-if="selected === 2"/>
      <StatusLead v-if="selected === 3"/>
      <TasksSettings v-if="selected === 4"/>
      <FieldsSettings v-if="selected === 5"/>
      <Regions v-if="selected === 6"/>
      <TemplateSMS v-if="selected === 7"/>
    </div>
  </div>
</template>

<script>
import StatusLead from '@/components/StatusLead'
import MainSettings from '@/components/MainSettings'
import UserSettings from '@/components/UserSettings'
import TasksSettings from '@/components/TasksSettings'
import FieldsSettings from '@/components/FieldsSettings'
import TemplateSMS from '@/components/TemplateSMS'
import Regions from '@/components/Regions'
import {mapGetters} from 'vuex'

export default {
  name: 'Settings',
  components: { TemplateSMS, Regions, FieldsSettings, TasksSettings, UserSettings, MainSettings, StatusLead },
  data: () => ({
    selected: 0
  }),
  computed: {
    ...mapGetters(["USER"]),
  },
  mounted () {
  },
  methods: {
  }
}
</script>

<style scoped lang="scss">
  .head-wrapper{
    position: relative;
    margin-bottom: 20px!important;
    .head-btn-back {
      position: absolute;
      left: 10px;
      z-index: 2;
    }
  }
  .setting-card-wrap {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    @media (max-width: 1400px) {
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr 1fr;
    }
    @media (max-width: 750px) {
      grid-template-rows: 1fr 1fr 1fr;
      grid-template-columns: 1fr;
      .card {
        margin: 5px auto!important;
      }
    }
    .card {
      height: 180px;
    }
  }
</style>
